# List knowledge base files (/docs/api-reference/knowledge-base/listKnowledgeBaseFiles)

> List all knowledge-base files for the authenticated user.



**GET** `/knowledge_base/list`

List all knowledge-base files for the authenticated user.

```yaml
operationId: listKnowledgeBaseFiles
responses:
  '200':
    description: List of files.
    content:
      application/json:
        schema:
          type: object
          properties:
            success:
              type: boolean
            files:
              type: array
              items:
                type: object
                description: A file uploaded to the knowledge base.
                properties:
                  id:
                    type: integer
                    example: 17686
                  name:
                    type: string
                    example: customer_call.mp3
                  original_filename:
                    type: string
                    example: customer_call.mp3
                  file_size:
                    type: integer
                    description: Size in bytes.
                  mime_type:
                    type: string
                    example: audio/mpeg
                  download_url:
                    type: string
                    format: uri
                  upload_status:
                    type: string
                    example: uploaded
                  upload_date:
                    type: string
                    example: 04/11/2026 16:24:00
                  user_name:
                    type: string
                  user_id:
                    type: integer
                  organization_id:
                    type: integer
        example:
          success: true
          files:
            - id: 964
              name: customer_call.mp3
              original_filename: customer_call.mp3
              file_size: 1145133
              mime_type: audio/mpeg
              download_url: >-
                https://omnidim.s3.amazonaws.com/live_uploads/1234/20260411_162353_customer_call.mp3?AWSAccessKeyId=AKIA...&Signature=...&Expires=...
              upload_status: uploaded
              upload_date: 04/11/2026 16:24:00
              user_name: Demo User
              user_id: 1234
              organization_id: 14
```

**Python SDK**

```python
# List all knowledge base files
response = client.knowledge_base.list()
print(response)
```

**curl**

```bash
curl -X GET "https://backend.omnidim.io/api/v1/knowledge_base/list" \
  -H "Authorization: Bearer $OMNIDIM_API_KEY"
```
